Bug 109329 - System Cannot Reboot when using GRUB and software RAID
System Cannot Reboot when using GRUB and software RAID
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 16:14 EST by Steffin Spears
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-07 15:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffin Spears 2003-11-06 16:14:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
After completing the installation of Fedora Core 1, the system gets to
the GRUB screen and simply hangs. In our current configuration we have
two software RAID partitions /boot and / . The motherboard is a brand
new Intel d865gbf, with 2 IBM 20 gig drives on separate ATA-IDE
controllers. /boot is 150 MB and / is appr. 18G. There are also 2 swap
partitions on each of the drives 256 MB a piece.
Each drive is configured as such.
RAID:
 md0 150MB /boot
 md1 18,000 /
1:
 150MB swRAID
 256MB swap
 18,000MB swRAID
2:
 150MB swRAID
 256MB swap
 18,000MB swRAID

Using this setup in the severn beta test, RedHat 7.3, 8.0 and 9 there
were no issues and the install and reboot were fine.

Version-Release number of selected component (if applicable):
Fedora Installer

How reproducible:
Always

Steps to Reproduce:
1.Standard installation with GRUB as the bootloader
2.Reboot upon completion
3.Scream and yell cause you can't reboot.
    

Additional info:
Comment 1 Steffin Spears 2003-11-07 15:55:46 EST
I swapped which HD BIOS recognized as the primary drive and it booted.
I still don't understand why the configuration worked with both RH 9
and Fedora Beta 3.

Note You need to log in before you can comment on or make changes to this bug.